configuration:
  - Release

platform:
  - Win32
  - x64

before_build:
  - cmd: git -C .. clone -q https://github.com/MediaArea/zlib.git
  - cmd: git -C .. clone -q https://github.com/MediaArea/ZenLib.git
  - ps: >-
      $Env:PATH += ";C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin";
      $Env:PATH += ";C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/x86_amd64";
      If ($Env:PLATFORM -Eq "Win32") {
        Push-Location ..\zlib\contrib\masmx86
        ml /nologo /coff /safeseh /Zi /c /Flmatch686.lst match686.asm
        ml /nologo /coff /safeseh /Zi /c /Flinffas32.lst inffas32.asm
        Pop-Location
      } Else {
        Push-Location ..\zlib\contrib\masmx64
        ml64 /nologo /Zi /c /Flinffasx64 inffasx64.asm
        ml64 /nologo /Zi /c /Flgvmat64 gvmat64.asm
        Pop-Location
      }

build:
  project: Project\MSVC2015\MediaInfoLib.sln
  verbosity: quiet
